import React, { useState, useEffect } from 'react';
import { Form, Input, Button, Icon, Select, message, Table, Divider, Tag, Pagination, Modal, DatePicker,Row,Col } from 'antd';
import { FormattedMessage } from 'umi-plugin-react/locale';
import Styles from './styles.less';
import router from 'umi/router';
import moment from 'moment';

import apis from '../../../services/apis';
import request from '../../../utils/request';


import AuthButton from '@/components/AuthButton';

 
const header = props => {

    const [data, setData] = useState({})

    useEffect(() => {
   
        // getList({ pageNum: 1, pageSize: 10});
     
      
    }, [])

const datas =[
    {
        name:"合同标题",
        value:"432"
    },
    {
        name:"关联业务类型",
        value:"4324"
    },
    {
        name:"业务类型",
        value:"4324",
        render:  <><span>111111111111111111</span></>
    },
    {
        name:"关联单据类型",
        value:"4324"
    },
    {
        name:"关联单据编号",
        value:"4324"
    },
    {
        name:"甲方名称",
        value:"4324",
        render:  <><span>{moment().format('MMMM Do YYYY, h:mm:ss a')}</span></>
    },
    {
        name:"甲方签署时间",
        value:"4324"
    },
    {
        name:"乙方名称",
        value:"4324"
    },
    {
        name:"乙方手机号",
        value:"4324"
    },
    {
        name:"乙方身份证号",
        value:"4324"
    },
    {
        name:"乙方签署时间",
        value:"4324"
    },
    {
        name:"已签署合同",
        value:"4324",
        render: (x, row) =><><Button type="primary" className={Styles.btn}>查看合同</Button> <span style={{color:'#1D74D9'}}>下载合同</span> </>
    },
    {
        name:"是否归档",
        value:"4324",
        render: (x, row) =><><span>下载合同</span><span style={{color:'#1D74D9'}}>归档</span>  </>
    },
    {
        name:"归档时间",
        value:"4324"
    },
]

  
  return (

    <>

{datas.map((x) => {
        return <Row style={{margin:'20px 0'}}>
          
          <Col span={5}  className={Styles.title} align="right" >
           { x.name}
          </Col>
          <Col span={9}  offset={2} className={Styles.text}>
            {
            x.render  ?  typeof x.render === 'function' ? x.render(props) : x.render : x.value 
            }
              
          </Col>
          <Col span={2} offset={4}>

          </Col>

        </Row>
      })}
      <div align="center"><Button className={Styles.rebtn} >返回</Button></div>
    
    </>
  )
}


export default header
